=== debian/changelog ===
liblastfm (1.2.0~git20250222.81e8f9d-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Drop Rules-Requires-Root: no, not needed anymore since trixie.
  * Update upstream links to the Qt6 fork currently being used.
  * wrap-and-sort debian/control.
  * Bump Standards-Version to 4.7.3, no change required.
  * Drop Priority: optional, not needed anymore since dpkg 1.22.13.

 -- Aurélien COUDERC <coucouf@debian.org>  Tue, 17 Feb 2026 17:50:10 +0100

liblastfm (1.2.0~git20250222.81e8f9d-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Import new upstream git snapshot having the Qt 6 port from
    https://github.com/Mazhoon/liblastfm (1.2.0~git20250222.81e8f9d).
  * Update build-deps and deps with the info from cmake.
  * Drop patch applied upstream.
  * Switch to declarative dh-sequence-pkgkde-symbolshelper.
  * Cleanup debian/rules.
  * Also install cmake files.
  * Update symbols from build for 1.2.0~git20250222.81e8f9d.
  * Dual Qt5 / Qt6 build.
  * Bump Standards-Version to 4.7.2, no change required.
  * Drop unused liblastfm5-dev.docs file.
  * Adopt the package under the Debian KDE Extras Team’s umbrella.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 16 Aug 2025 17:16:32 +0200
