=== debian/control ===
Source: liblastfm
Section: libs
Maintainer: Debian KDE Extras Team <pkg-kde-extras@alioth-lists.debian.net>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               cmake (>= 3.6~),
               libfftw3-dev,
               libsamplerate0-dev,
               pkg-kde-tools,
               qt6-base-dev,
               qtbase5-dev,
Standards-Version: 4.7.3
Homepage: https://github.com/Mazhoon/liblastfm/
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/liblastfm.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/liblastfm

Package: liblastfm-fingerprint5-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Last.fm fingerprinting library (Qt5 build)
 liblastfm is a collection of C++/Qt5 libraries provided by Last.fm for use
 with their web services.
 .
 This library lets you fingerprint decoded audio tracks and fetch metadata
 suggestions for them.

Package: liblastfm5-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Last.fm web services library (Qt5 build)
 liblastfm is a collection of C++/Qt5 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the base web services library.

Package: liblastfm5-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblastfm-fingerprint5-1 (= ${binary:Version}),
         liblastfm5-1 (= ${binary:Version}),
         ${misc:Depends},
Description: Last.fm web services library (Qt5 build) - development files
 liblastfm is a collection of C++/Qt5 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the development files. Developers working on a new
 client will need to request an API key. See README for more details.

Package: liblastfm-fingerprint6-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Last.fm fingerprinting library (Qt6 build)
 liblastfm is a collection of C++/Qt6 libraries provided by Last.fm for use
 with their web services.
 .
 This library lets you fingerprint decoded audio tracks and fetch metadata
 suggestions for them.

Package: liblastfm6-1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends},
Description: Last.fm web services library (Qt6 build)
 liblastfm is a collection of C++/Qt6 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the base web services library.

Package: liblastfm6-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: liblastfm-fingerprint6-1 (= ${binary:Version}),
         liblastfm6-1 (= ${binary:Version}),
         ${misc:Depends},
Description: Last.fm web services library (Qt6 build) - development files
 liblastfm is a collection of C++/Qt6 libraries provided by Last.fm for use
 with their web services.
 .
 This package contains the development files. Developers working on a new
 client will need to request an API key. See README for more details.
