=== debian/watch ===
Version: 5
Template: GitHub
Owner: Mazhoon
Project: liblastfm
